Event
===================

Event life cycle
-------------------

![Event](event_structure.png "Event life cycle")

Different event lists
----------------------------

To make the simulation faster two event types were introduced a logger and a short term logger. 


### Short term logger


**Task:** decision-making basis for controller strategies

**Label:** `Label.ShortTermLogger.value + "0"`

short term logger offers the possibility to store specific events from the past to use them for a controller strategy.

An example would be storing the last events related to a position to determine the waiting time of parts


### Logger

**Task:** saving of events in a csv or data base

**Label:** `Label.Logger.value + "1"`

After the execution of the event all events are mirrored (generated by Event_logger) and stored in the logger.
If the logger 2000 contains events, the events are stored in a csv or database and no event_logger items are deleted but always overwritten. Event_logger Connections can be recognised in the ontology with the ending "_logger"

### Event list

**Task:** Saves all future events of the simulation

**Label:** Label.EventList.value + "0"

Event values
---------------

shows all properties of for a event type

| Event type                   | Values          
| ---------------------------- | ------------------- |
| 'Machine'                    | ['time', 'has_for_machine_event', 'time_diff', 'type'] |
| 'OrderRelease'               | ['time', 'time_diff', 'type'] |
| 'Release'                    | ['time_diff', 'number_of_products', 'has_for_task_event', 'type', 'time', 'is_event_list_of'] |
| 'Change'                     | ['time_diff', 'has_for_position_event', 'has_for_product_event', 'additional_type', 'type', 'time', 'is_event_list_of'] |
| 'Wait_Transport'             | ['time_diff', 'waiting_time', 'type', 'time', 'has_for_transport_event', 'is_event_list_of'] |
| 'Transport'                  | ['time_diff', 'type', 'time', 'has_for_transport_event', 'is_event_list_of', 'has_for_location_event'] |
| 'Wait_Machine'               | ['time_diff', 'waiting_time', 'type', 'time', 'has_for_machine_event', 'is_event_list_of'] |
| 'Process'                    | ['time_diff', 'has_for_product_event', 'type', 'time', 'is_event_list_of', 'has_for_process_event'] |
| 'ProductFinished'            | ['has_for_product_event', 'time', 'time_diff', 'type'] |
| 'SetUp'                      | ['time_diff', 'type', 'is_event_list_of', 'has_for_process_event', 'time'] |
| 'EvTransporterDefect'        | ['time_diff', 'has_for_service_event', 'type', 'is_event_list_of', 'time'] |
| 'TransporterDefect'          | ['time_diff', 'has_for_service_event', 'has_for_transport_event', 'type', 'is_event_list_of', 'time'] |
| 'EvMachineDefect'            | ['time_diff', 'has_for_service_event', 'has_for_machine_event', 'type', 'is_event_list_of', 'time'] |
| 'MachineDefect'              | ['time_diff', 'has_for_service_event', 'has_for_machine_event', 'type', 'is_event_list_of', 'time'] |